<!-- Hereda de el template main -->
{% extends 'main.html'%}  {# Herencia #}
<!-- Importar macro -->
{% import 'macros/project.html' as macro %}

<!--Hereda el bloque de cabecera manteniendo su contenido con la función super() y agregando el link a la hoja de estilo al final del mismo -->
{% block head %}
    {{ super() }} {# Heredar el contenido del bloque bloque #}
    <link rel="stylesheet" href="{{url_for('static', filename='css/style.css')}}"> {# Nuevo contenido del bloque #}
{% endblock %}

<!-- Comienza el bloque de contenido y define su contenido -->
{% block content %}
<div class="row">
    <div class="col-md-12 ">
      <h4>Project List
      {% if current_user.is_authenticated and current_user.role == "admin" %}
        <a type="button" href="{{url_for('project.create')}}" class="btn btn-success">Create</a>
        {% endif %}
      </h4>
    </div>
  </div>
    <div class="row">
        <div class="col-md-12">
          <table class="table table-bordered table-dark">
						<tr>
							<th>#</th>
              <th>Name</th>
              <th>Year</th>
              <th>Professor</th>
              <th></th>
						</tr>
						{% for project in projects %}
						    {{ macro.show_project(project) }}
						{% endfor %}
					</table>
				</div>
		</div><!--Fin de la fila -->

{% endblock %}
